Heliflyer71

Member
  • Content count

    1
  • Joined

  • Last visited

Community Reputation

0 Neutral
  1. TFDI 717 P3D v4

    I just purchased the TFDI 717 not realising that it is not yet compatible with P3D v4 - is this an issue i.e. do I request a refund or will it work in the future without me having to purchase the product again. Thanks Richard